/* xpin_node.h
**
** XpinDoc
** an XML parse instance document processing utility
**
** Copyright (C) 2002, 2003, Wayne Marshall
** All rights reserved, worldwide.
**
** wcm, 2002.05.20 - 2003.09.29
** ===
*/
#ifndef  XPIN_NODE_H
#define  XPIN_NODE_H  1


extern
struct xpin_node *
new_xpin_node
(
    int                 depth,
    const char         *tagname,
    const char         *tagpath,
    /* namespace support: */
    const char         *local_name,
    const char         *ns_uri,
    const char         *ns_prefix,
    const char         *qname,
    /* attributes: */
    int                 attr_count,
    struct xpin_attr  **attributes,
    /* pointer back to parent: */
    struct xpin_node   *parent
);


extern
void
free_xpin_node(struct xpin_node *);



#endif  /* XPIN_NODE_H */
