/* xpin_pi.h
**
** XpinDoc
** an XML parse instance document processing utility
**
** Copyright (C) 2002, 2003, Wayne Marshall
** All rights reserved, worldwide.
**
** wcm, 2002.05.20 - 2003.02.06
** ===
*/
#ifndef  XPIN_PI_H
#define  XPIN_PI_H  1


/* CONSTRUCTOR: */
extern
struct xpin_pi *
new_xpin_pi();


/* RE-USE PI OBJECT: */
extern
struct xpin_pi *
clear_xpin_pi(struct xpin_pi *pi);


extern
struct xpin_pi *
set_xpin_pi
(
    struct xpin_pi  *pi,
    const char      *pi_name,  /* "target" */
    const char      *pi_data   /* "data"   */
);


/* DESTRUCTOR: */
extern
void
free_xpin_pi(struct xpin_pi *);



#endif  /* XPIN_PI_H */
