/* xpin_error.h
**
** XpinDoc
** an XML parse instance document processing utility
**
** Copyright (C) 2002, Wayne Marshall
** All rights reserved, worldwide.
**
** wcm, 2002.05.20 - 2003.02.05
** ===
*/
#ifndef  XPIN_ERROR_H
#define  XPIN_ERROR_H  1

enum xpin_error_codes {
   XPIN_ERROR_NO_ERROR = 0,
   XPIN_ERROR_OKAY = 0,
   XPIN_ERROR_ALLOC,
   XPIN_ERROR_FILE,
   XPIN_ERROR_PARSE
};

/* creator: */
extern
struct xpin_error *
new_xpin_error(void);

/* destructor: */
void
free_xpin_error(struct xpin_error *);


/* exported error system call: */
extern
void
xpin_raise_error
(
    struct xpindoc  *X,
    int              code,
    const char      *message
);



#endif  /* XPIN_ERROR_H */
