/* xpin_event.h
**
** XpinDoc
** an XML parse instance document processing utility
**
** Copyright (C) 2002, 2003, Wayne Marshall
** All rights reserved, worldwide.
**
** wcm, 2002.05.20 - 2003.09.22
** ===
*/
#ifndef  XPIN_EVENT_H
#define  XPIN_EVENT_H


/* CONSTRUCTOR: */
extern
struct xpin_event *
new_xpin_event(void);


/* SET and RE-USE EVENT OBJECT: */
extern
struct xpin_event *
set_xpin_event
(
    struct xpin_event    *event,
    enum xpin_event_type  type,
    int                   line,
    int                   column,
    int                   size,
    long int              index,
    void                 *data
);


/* DESTRUCTOR: */
extern
void
free_xpin_event(struct xpin_event *);



#endif  /* XPIN_EVENT_H */
